Debian Bug report logs - #626720
selinux-policy-default: Policy needs patched for /run

version graph

Package: selinux-policy-default; Maintainer for selinux-policy-default is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for selinux-policy-default is src:refpolicy.

Reported by: Martin Orr <martin@martinorr.name>

Date: Sat, 14 May 2011 16:48:04 UTC

Severity: critical

Tags: patch

Found in version refpolicy/2:0.2.20100524-9

Fixed in version refpolicy/2:0.2.20100524-10

Done: Russell Coker <russell@coker.com.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Sat, 14 May 2011 16:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Orr <martin@martinorr.name>:
New Bug report received and forwarded. Copy sent to Russell Coker <russell@coker.com.au>. (Sat, 14 May 2011 16:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Orr <martin@martinorr.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: selinux-policy-default: Policy needs patched for /run
Date: Sat, 14 May 2011 17:39:56 +0100
[Message part 1 (text/plain, inline)]
Package: selinux-policy-default
Version: 2:0.2.20100524-9
Severity: critical
Tags: patch

Most services fail to start when booting with SELinux enabled and with
the /run directory (initscripts 2.88dsf-13.6).

A patch is attached to solve this:

1. Add file_contexts.subs_dist file, so that files in /run are labelled
the same as corresponding files in /var/run, and likewise for /run/lock
and /run/shm.
However support for file_contexts.subs_dist requires libselinux 2.0.102,
available in upstream git.  If you don't want to update libselinux, then
you can change this to use file_contexts.subs instead.  (The intention of
2.0.102 is that file_contexts.subs_dist should be used by the distribution,
and file_contexts.subs reserved for the local admin.)

2. Allow all domains which access /var/run or /var/lock to read symlinks
of the appropriate type (because they are now symlinks to /run and to
/run/lock).

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38.2 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages selinux-policy-default depends on:
ii  libpam-modules               1.1.2-3     Pluggable Authentication Modules f
ii  libselinux1                  2.0.98-1+b1 SELinux runtime shared libraries
ii  libsepol1                    2.0.42-1    SELinux library for manipulating b
ii  policycoreutils              2.0.82-5    SELinux core policy utilities
ii  python                       2.6.6-14    interactive high-level object-orie

Versions of packages selinux-policy-default recommends:
ii  checkpolicy              2.0.23-1        SELinux policy compiler
ii  setools                  3.3.6.ds-7.2+b1 tools for Security Enhanced Linux 

Versions of packages selinux-policy-default suggests:
pn  logcheck                      <none>     (no description available)
pn  syslog-summary                <none>     (no description available)

-- Configuration Files:
/etc/selinux/default/modules/active/file_contexts.local [Errno 13] Permission denied: u'/etc/selinux/default/modules/active/file_contexts.local'

-- no debconf information
[run-selinux-policy.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Mon, 16 May 2011 18:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Mon, 16 May 2011 18:21:13 GMT) Full text and rfc822 format available.

Message #10 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Russell Coker <etbe@debian.org>
Cc: 626720@bugs.debian.org, 626725@bugs.debian.org
Subject: SELinux refpolicy, initscripts and /run
Date: Mon, 16 May 2011 19:18:39 +0100
[Message part 1 (text/plain, inline)]
Hi Russell,

I am planning on fixing #626725 in initscripts with an upload
very soon, but just wanted to check what your plans were for
#626720 to make sure SELinux users get a working system as
soon as possible, or don't get breakage in the first place.

As discussed in #626725 I can upload with the SELinux changes
and a Breaks: selinux-policy-default to ensure SELinux users
won't upgrade to the new initscripts, and we can replace that
with a Breaks: selinux-policy-default (<< $FIXEDVERSION) once
#626720 is fixed.

However, if you're planning to fix it in a day or two, I can
hold off and just fix it in a single upload.

If you could possibly let me know what you were planning, I'll
make initscripts uploads accordingly.


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 626720 blocks 626725 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 21:48:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 26 May 2011 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 26 May 2011 15:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Russell Coker <etbe@debian.org>
Cc: 626720@bugs.debian.org, 626725@bugs.debian.org
Subject: Re: SELinux refpolicy, initscripts and /run
Date: Thu, 26 May 2011 15:57:45 +0100
[Message part 1 (text/plain, inline)]
On Mon, May 16, 2011 at 07:18:39PM +0100, Roger Leigh wrote:
> As discussed in #626725 I can upload with the SELinux changes
> and a Breaks: selinux-policy-default to ensure SELinux users
> won't upgrade to the new initscripts, and we can replace that
> with a Breaks: selinux-policy-default (<< $FIXEDVERSION) once
> #626720 is fixed.

I have uploaded a new initscripts with the patch applied.
I will upload a new version with the Breaks once refpolicy
has been updated.

Do we have any estimation for how long it will take to get a
fixed version of refpolicy in unstable?


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 626720 blocks 628039 Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Thu, 26 May 2011 15:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Fri, 27 May 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Orr <martin@martinorr.name>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Fri, 27 May 2011 10:27:08 GMT) Full text and rfc822 format available.

Message #24 received at 626720@bugs.debian.org (full text, mbox):

From: Martin Orr <martin@martinorr.name>
To: 626720@bugs.debian.org
Subject: Bug #627620: selinux-policy-default: also needs to label /run/udev
Date: Fri, 27 May 2011 11:19:35 +0100
[Message part 1 (text/plain, inline)]
With initramfs 0.99, udev now uses /run/udev so that also needs to be
labelled.  Updated patch attached.

Notes:
  - Adds label for /var/run/udev instead of /run/udev because of the
    substitution in file_contexts.subs.
  - I used udev_tbl_t instead of udev_var_run_t because this is the same
    data that used to be in /dev/.udev.

Best wishes,

-- 
Martin Orr
[run-selinux-policy.diff (text/x-diff, attachment)]

Added indication that bug 626720 blocks 629066 Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Fri, 03 Jun 2011 10:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Sun, 05 Jun 2011 21:57:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Sun, 05 Jun 2011 21:57:57 GMT) Full text and rfc822 format available.

Message #31 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Russell Coker <etbe@debian.org>
Cc: 626720@bugs.debian.org, 626725@bugs.debian.org
Subject: Re: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Sun, 5 Jun 2011 22:39:50 +0100
[Message part 1 (text/plain, inline)]
On Thu, May 26, 2011 at 03:57:45PM +0100, Roger Leigh wrote:
> On Mon, May 16, 2011 at 07:18:39PM +0100, Roger Leigh wrote:
> > As discussed in #626725 I can upload with the SELinux changes
> > and a Breaks: selinux-policy-default to ensure SELinux users
> > won't upgrade to the new initscripts, and we can replace that
> > with a Breaks: selinux-policy-default (<< $FIXEDVERSION) once
> > #626720 is fixed.
> 
> I have uploaded a new initscripts with the patch applied.
> I will upload a new version with the Breaks once refpolicy
> has been updated.
> 
> Do we have any estimation for how long it will take to get a
> fixed version of refpolicy in unstable?

Sorry to pester, but there hasn't been a response to the bug since
it was filed, and it's now blocking both initscripts and base-files,
neither of which can migrate to testing until this is fixed.  Is
the patch as proposed correct?  If you don't have time to upload,
would an NMU be possible here?  [Not being an SELinux expert, I can't
verify the correctness of the patch myself.]


Many thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Wed, 08 Jun 2011 23:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Wed, 08 Jun 2011 23:42:06 GMT) Full text and rfc822 format available.

Message #36 received at 626720@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Roger Leigh <rleigh@codelibre.net>,626720@bugs.debian.org,Russell Coker <etbe@debian.org>
Cc: 626725@bugs.debian.org
Subject: Re: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 09 Jun 2011 09:32:44 +1000
Sorry for the delay. Yes please make it break the old version of policy. I hope to upload a fix on Sunday.
-- 
My blog    http://etbe.coker.com.au
Sent from an Xperia X10 Android phone




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 09 Jun 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 09 Jun 2011 10:57:05 GMT) Full text and rfc822 format available.

Message #41 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Russell Coker <russell@coker.com.au>
Cc: 626720@bugs.debian.org, Russell Coker <etbe@debian.org>, 626725@bugs.debian.org
Subject: Re: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 9 Jun 2011 11:53:46 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 09, 2011 at 09:32:44AM +1000, Russell Coker wrote:
> Sorry for the delay. Yes please make it break the old version of policy. I hope to upload a fix on Sunday.

That would be super, thanks.  I'm planning to upload initscripts
with this patch.  Is this Breaks: version OK with you?


Thanks,
Roger


Index: debian/control
===================================================================
--- debian/control	(revision 1964)
+++ debian/control	(working copy)
@@ -55,6 +55,7 @@
 Recommends: psmisc, e2fsprogs
 Conflicts: libdevmapper1.02.1 (<< 2:1.02.24-1)
 Replaces: libc6, libc6.1, libc0.1, libc0.3
+Breaks: selinux-policy-default (<< 2:0.2.20100524-9)
 Description: scripts for initializing and shutting down the system
  The scripts in this package initialize a standard Debian
  system at boot time and shut it down at halt or reboot time.
Index: debian/src/initscripts/etc/init.d/mountkernfs.sh
===================================================================
--- debian/src/initscripts/etc/init.d/mountkernfs.sh	(revision 1964)
+++ debian/src/initscripts/etc/init.d/mountkernfs.sh	(working copy)
@@ -40,6 +40,7 @@
 	fi
 	# TODO: Add -onodev once checkroot no longer creates a device node.
 	domount "$MNTMODE" tmpfs shmfs /run tmpfs "-onosuid$RUNEXEC$RUN_OPT"
+	[ -x /sbin/restorecon ] && /sbin/restorecon -r /run
 	[ -f /run/.ramfs ] || touch /run/.ramfs
 
 	# Make lock directory as the replacement for /var/lock
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 1964)
+++ debian/changelog	(working copy)
@@ -1,3 +1,13 @@
+sysvinit (2.88dsf-13.8) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * initscripts Breaks all selinux-policy-default versions up to and
+    including 2:0.2.20100524-9, which do not support /run.
+  * Add restorecon support for selinux to /run in mountkernfs.
+    (Closes: #628107).  Thanks to Martin Orr for this patch.
+
+ -- Roger Leigh <rleigh@debian.org>  Thu, 09 Jun 2011 11:14:59 +0100
+
 sysvinit (2.88dsf-13.7) unstable; urgency=low
 
   [ Roger Leigh ]

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 09 Jun 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 09 Jun 2011 11:24:04 GMT) Full text and rfc822 format available.

Message #46 received at 626720@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 626720@bugs.debian.org,Russell Coker <etbe@debian.org>,626725@bugs.debian.org
Subject: Re: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 09 Jun 2011 21:20:50 +1000
Looks fine to me if the breaks line does what the changelog says it does.
-- 
My blog    http://etbe.coker.com.au
Sent from an Xperia X10 Android phone




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 09 Jun 2011 13:39:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 09 Jun 2011 13:39:30 GMT) Full text and rfc822 format available.

Message #51 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Russell Coker <russell@coker.com.au>
Cc: 626720@bugs.debian.org, Russell Coker <etbe@debian.org>, 626725@bugs.debian.org
Subject: Re: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 9 Jun 2011 14:16:01 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 09, 2011 at 09:20:50PM +1000, Russell Coker wrote:
> Looks fine to me if the breaks line does what the changelog says it does.

Great, thanks.  This is now uploaded to unstable.

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 09 Jun 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 09 Jun 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #56 received at 626720@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Roger Leigh <rleigh@codelibre.net>, 626725@bugs.debian.org
Cc: Russell Coker <russell@coker.com.au>, Russell Coker <etbe@debian.org>, 626720@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#626725: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 9 Jun 2011 16:04:14 -0300
On Thu, 09 Jun 2011, Roger Leigh wrote:
> +Breaks: selinux-policy-default (<< 2:0.2.20100524-9)
...
> +  * initscripts Breaks all selinux-policy-default versions up to and
> +    including 2:0.2.20100524-9, which do not support /run.


"<<" means STRICTLY LESS THAN for dpkg.   If you need to ALSO break
2:0.2.20100524-9, as you wrote in the changelog, you should have used
"<=".

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 09 Jun 2011 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 09 Jun 2011 19:27:08 GMT) Full text and rfc822 format available.

Message #61 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 626725@bugs.debian.org, Russell Coker <russell@coker.com.au>, Russell Coker <etbe@debian.org>, 626720@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#626725: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 9 Jun 2011 20:24:40 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 09, 2011 at 04:04:14PM -0300, Henrique de Moraes Holschuh wrote:
> On Thu, 09 Jun 2011, Roger Leigh wrote:
> > +Breaks: selinux-policy-default (<< 2:0.2.20100524-9)
> ...
> > +  * initscripts Breaks all selinux-policy-default versions up to and
> > +    including 2:0.2.20100524-9, which do not support /run.
> 
> 
> "<<" means STRICTLY LESS THAN for dpkg.   If you need to ALSO break
> 2:0.2.20100524-9, as you wrote in the changelog, you should have used
> "<=".

Thanks for spotting that, can't believe I didn't see it.  I'll make
a new upload using (<= 2:0.2.20100524-9).


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 09 Jun 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 09 Jun 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #66 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 626725@bugs.debian.org, Russell Coker <russell@coker.com.au>, Russell Coker <etbe@debian.org>, 626720@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#626725: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Thu, 9 Jun 2011 20:41:23 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 09, 2011 at 04:04:14PM -0300, Henrique de Moraes Holschuh wrote:
> On Thu, 09 Jun 2011, Roger Leigh wrote:
> > +Breaks: selinux-policy-default (<< 2:0.2.20100524-9)
> ...
> > +  * initscripts Breaks all selinux-policy-default versions up to and
> > +    including 2:0.2.20100524-9, which do not support /run.
> 
> 
> "<<" means STRICTLY LESS THAN for dpkg.   If you need to ALSO break
> 2:0.2.20100524-9, as you wrote in the changelog, you should have used
> "<=".

The attached patch corrects the versioning.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[sysvinit_2.88dsf-13.10.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Sun, 19 Jun 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Sun, 19 Jun 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #71 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Russell Coker <russell@coker.com.au>
Cc: 626720@bugs.debian.org, Russell Coker <etbe@debian.org>, 626725@bugs.debian.org
Subject: Re: Bug#626720: SELinux refpolicy, initscripts and /run
Date: Sun, 19 Jun 2011 18:02:13 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 09, 2011 at 09:32:44AM +1000, Russell Coker wrote:
> Sorry for the delay. Yes please make it break the old version of policy. I hope to upload a fix on Sunday.

Just to let you know, sysvinit/initscripts will migrate to
testing tomorrow.  But they will be uninstallable on
systems without the updated refpolicy, so it would be
desirable to have an updated refpolicy ASAP.


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Mon, 20 Jun 2011 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@debian.org>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Mon, 20 Jun 2011 18:21:07 GMT) Full text and rfc822 format available.

Message #76 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 629066@bugs.debian.org
Cc: 626720@bugs.debian.org
Subject: Re: Bug#629066: base-files: Don't migrate to testing until SELinux refpolicy is fixed
Date: Mon, 20 Jun 2011 19:20:35 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jun 03, 2011 at 11:25:52AM +0100, Roger Leigh wrote:
> "Don't allow migration to testing because until SELinux refpolicy
> is updated to support /run, the system is rendered unusable for
> SELinux users."
> 
> base-files would migrate prior to sysvinit/initscripts, which would result
> in breakage (or at least uninstallability, which testing tries to avoid).
> As soon as SELinux refpolicy is updated, we can let sysvinit into testing
> and base-files can migrate at the same time.  So this bug is just to block
> testing migration temporarily.

Hi Santiago,

Update: sysvinit has migrated to testing, but we're still waiting
on #626720 (SELinux refpolicy).  If we let base-files into testing
before refpolicy it would cause breakage for selinux users, and
potentially others if they held initscripts back.  As soon as
refpolicy goes into testing we can allow base-files in.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Mon, 20 Jun 2011 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@golden-gryphon.com>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Mon, 20 Jun 2011 20:09:05 GMT) Full text and rfc822 format available.

Message #81 received at 626720@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@golden-gryphon.com>
To: Roger Leigh <rleigh@debian.org>, 626720@bugs.debian.org
Cc: 629066@bugs.debian.org
Subject: Re: Bug#626720: Bug#629066: base-files: Don't migrate to testing until SELinux refpolicy is fixed
Date: Mon, 20 Jun 2011 12:57:44 -0700
On 06/20/2011 11:20 AM, Roger Leigh wrote:
> On Fri, Jun 03, 2011 at 11:25:52AM +0100, Roger Leigh wrote:
>> "Don't allow migration to testing because until SELinux refpolicy
>> is updated to support /run, the system is rendered unusable for
>> SELinux users."
>>
>> base-files would migrate prior to sysvinit/initscripts, which would result
>> in breakage (or at least uninstallability, which testing tries to avoid).
>> As soon as SELinux refpolicy is updated, we can let sysvinit into testing
>> and base-files can migrate at the same time.  So this bug is just to block
>> testing migration temporarily.
> Hi Santiago,
>
> Update: sysvinit has migrated to testing, but we're still waiting
> on #626720 (SELinux refpolicy).  If we let base-files into testing
> before refpolicy it would cause breakage for selinux users, and
> potentially others if they held initscripts back.  As soon as
> refpolicy goes into testing we can allow base-files in.

   Is there work already being done on ref policy? If not, I might be in a
 position to pitch in and help some in the first week of July or so.

  manoj





Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Wed, 22 Jun 2011 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@debian.org>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Wed, 22 Jun 2011 15:03:03 GMT) Full text and rfc822 format available.

Message #86 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: Manoj Srivastava <srivasta@golden-gryphon.com>
Cc: 626720@bugs.debian.org, 629066@bugs.debian.org
Subject: Re: Bug#626720: Bug#629066: base-files: Don't migrate to testing until SELinux refpolicy is fixed
Date: Wed, 22 Jun 2011 15:59:56 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jun 20, 2011 at 12:57:44PM -0700, Manoj Srivastava wrote:
> On 06/20/2011 11:20 AM, Roger Leigh wrote:
> >On Fri, Jun 03, 2011 at 11:25:52AM +0100, Roger Leigh wrote:
> >>"Don't allow migration to testing because until SELinux refpolicy
> >>is updated to support /run, the system is rendered unusable for
> >>SELinux users."
> >>
> >>base-files would migrate prior to sysvinit/initscripts, which would result
> >>in breakage (or at least uninstallability, which testing tries to avoid).
> >>As soon as SELinux refpolicy is updated, we can let sysvinit into testing
> >>and base-files can migrate at the same time.  So this bug is just to block
> >>testing migration temporarily.
> >Hi Santiago,
> >
> >Update: sysvinit has migrated to testing, but we're still waiting
> >on #626720 (SELinux refpolicy).  If we let base-files into testing
> >before refpolicy it would cause breakage for selinux users, and
> >potentially others if they held initscripts back.  As soon as
> >refpolicy goes into testing we can allow base-files in.
> 
>    Is there work already being done on ref policy? If not, I might be in a
>  position to pitch in and help some in the first week of July or so.

If it's not fixed sooner, that would be appreciated.

Without this fix, base-files can't go into testing.  And debootstrap
of wheezy won't result in a correctly set up /run until it is, so
having this fixed soon would be good.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Wed, 06 Jul 2011 19:15:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Wed, 06 Jul 2011 19:15:50 GMT) Full text and rfc822 format available.

Message #91 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Manoj Srivastava <srivasta@golden-gryphon.com>
Cc: Roger Leigh <rleigh@debian.org>, 626720@bugs.debian.org, 629066@bugs.debian.org
Subject: Re: Bug#626720: Bug#629066: base-files: Don't migrate to testing until SELinux refpolicy is fixed
Date: Wed, 6 Jul 2011 20:07:25 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jun 20, 2011 at 12:57:44PM -0700, Manoj Srivastava wrote:
> On 06/20/2011 11:20 AM, Roger Leigh wrote:
> >On Fri, Jun 03, 2011 at 11:25:52AM +0100, Roger Leigh wrote:
> >>"Don't allow migration to testing because until SELinux refpolicy
> >>is updated to support /run, the system is rendered unusable for
> >>SELinux users."
> >>
> >>base-files would migrate prior to sysvinit/initscripts, which would result
> >>in breakage (or at least uninstallability, which testing tries to avoid).
> >>As soon as SELinux refpolicy is updated, we can let sysvinit into testing
> >>and base-files can migrate at the same time.  So this bug is just to block
> >>testing migration temporarily.
> >Hi Santiago,
> >
> >Update: sysvinit has migrated to testing, but we're still waiting
> >on #626720 (SELinux refpolicy).  If we let base-files into testing
> >before refpolicy it would cause breakage for selinux users, and
> >potentially others if they held initscripts back.  As soon as
> >refpolicy goes into testing we can allow base-files in.
> 
>    Is there work already being done on ref policy? If not, I might be in a
>  position to pitch in and help some in the first week of July or so.

In the absence of any other activity, if you do have time to spare
to look at this, it would be much appreciated.

While base-files is prevented from entering testing by this bug, newly
installed wheezy systems will have broken /run support (it will be
created as a symlink by debootstrap rather than a real directory).
So having this fixed as soon as is possible would be quite
desirable.


Many thanks,
Roger
-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Wed, 06 Jul 2011 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Wed, 06 Jul 2011 20:15:02 GMT) Full text and rfc822 format available.

Message #96 received at 626720@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Roger Leigh <rleigh@debian.org>
Cc: 629066-done@bugs.debian.org, 626720@bugs.debian.org
Subject: Re: Bug#629066: base-files: Don't migrate to testing until SELinux refpolicy is fixed
Date: Wed, 6 Jul 2011 21:12:49 +0100
[Message part 1 (text/plain, inline)]
Version: 6.4

On Mon, Jun 20, 2011 at 07:20:35PM +0100, Roger Leigh wrote:
> On Fri, Jun 03, 2011 at 11:25:52AM +0100, Roger Leigh wrote:
> > "Don't allow migration to testing because until SELinux refpolicy
> > is updated to support /run, the system is rendered unusable for
> > SELinux users."
> > 
> > base-files would migrate prior to sysvinit/initscripts, which would result
> > in breakage (or at least uninstallability, which testing tries to avoid).
> > As soon as SELinux refpolicy is updated, we can let sysvinit into testing
> > and base-files can migrate at the same time.  So this bug is just to block
> > testing migration temporarily.
> 
> Hi Santiago,
> 
> Update: sysvinit has migrated to testing, but we're still waiting
> on #626720 (SELinux refpolicy).  If we let base-files into testing
> before refpolicy it would cause breakage for selinux users, and
> potentially others if they held initscripts back.

The existing base-files Breaks on initscripts (<< 2.88dsf-13.3)
and the initscripts Breaks on selinux-policy-default (<= 2:0.2.20100524-9)
will prevent base-files from breaking selinux, so it's
actually safe to allow migration right now.  Consequently, closing
this bug to allow migration to proceed.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 14 Jul 2011 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 14 Jul 2011 06:21:03 GMT) Full text and rfc822 format available.

Message #101 received at 626720@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 626720@bugs.debian.org
Cc: Martin Orr <martin@martinorr.name>
Subject: sorry for being slack
Date: Thu, 14 Jul 2011 16:15:59 +1000
I'm working on this now.

http://userspace.selinuxproject.org/trac/browser/libselinux/src?order=date&desc=1
http://userspace.selinuxproject.org/trac/wiki/Releases

Firstly please tell me what libraries you used when testing this patch?  It 
seems that the necessary patch to libselinux was first proposed in April but 
there hasn't been a new upstream release since.

Did you test this with a patched libselinux or did you just copy code from 
elsewhere without testing?  NB I'm not criticising you, I don't expect you to 
be doing tests on these things, I just need to know where things are at.

Currently I have to decide whether to maintain my own patch for libselinux1 
for this or to wait for a new official release.  I've just sent a message to 
the list asking what's going on, this sort of message could prompt a new 
upstream release in the very near future (or they could just be really busy - 
no guarantees there).

-- 
My Main Blog         http://etbe.coker.com.au/
My Documents Blog    http://doc.coker.com.au/




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 14 Jul 2011 06:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 14 Jul 2011 06:24:02 GMT) Full text and rfc822 format available.

Message #106 received at 626720@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 626720@bugs.debian.org
Subject: support in squeeze
Date: Thu, 14 Jul 2011 16:20:22 +1000
What I want to do is to have a policy in squeeze that supports running wheezy 
in a basic configuration.  If a daemon that is in wheezy gets a new feature 
and breaks then I'm not too bothered (I am not aiming for full compatibility).  
But I want to have the basics work for everyone (which includes /run) and have 
most daemons work.

Now for unstable I can have the new selinux-policy-default which works with 
/run depend on the new libselinux1 and everything will be fine.

For a transition from squeeze to wheezy I guess I could patch selinux-policy-
default to support /run but not have it depend on a new libselinux1 so that an 
upgrade from squeeze to wheezy will get the new libselinux1 and then start 
working.

This seems to imply that any package which breaks selinux-policy-default 
should also break libselinux1 to force an upgrade.  Also it means that the 
version of selinux-policy-default should be upgraded in the next squeeze 
update to not be broken.

Does this seem correct?  If so would it be achievable with the release 
process?

-- 
My Main Blog         http://etbe.coker.com.au/
My Documents Blog    http://doc.coker.com.au/




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Thu, 14 Jul 2011 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Orr <martin@martinorr.name>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 14 Jul 2011 17:06:03 GMT) Full text and rfc822 format available.

Message #111 received at 626720@bugs.debian.org (full text, mbox):

From: Martin Orr <martin@martinorr.name>
To: russell@coker.com.au
Cc: 626720@bugs.debian.org
Subject: Re: sorry for being slack
Date: Thu, 14 Jul 2011 18:02:09 +0100
On Thu 14 Jul 07:15:59 2011, Russell Coker wrote:

> I'm working on this now.
>
> http://userspace.selinuxproject.org/trac/browser/libselinux/src?order=date&desc=1
> http://userspace.selinuxproject.org/trac/wiki/Releases
>
> Firstly please tell me what libraries you used when testing this patch?  It
> seems that the necessary patch to libselinux was first proposed in April but
> there hasn't been a new upstream release since.
>
> Did you test this with a patched libselinux or did you just copy code from
> elsewhere without testing?  NB I'm not criticising you, I don't expect you to
> be doing tests on these things, I just need to know where things are at.

I tested using libselinux 2.0.98, with file_contexts.subs_dist  
replaced by file_contexts.subs.  So far as I remember I did not test  
with a patched libselinux.

Best wishes,
Martin





Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#626720; Package selinux-policy-default. (Fri, 22 Jul 2011 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Fri, 22 Jul 2011 06:27:03 GMT) Full text and rfc822 format available.

Message #116 received at 626720@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 626720@bugs.debian.org
Subject: policy changes
Date: Fri, 22 Jul 2011 16:21:58 +1000
Martin, using the SE Linux libraries from Unstable I can't make the 
file_contexts.subs file take affect.

I think that the only way to do this is to just have regular expressions that 
deal with this in the file contexts.  It's a bit ugly and slows the relabel 
process down a little (probably no more than about 10%) but it will work.

http://etbe.coker.com.au/2011/07/22/run-se-linux-policy/

I've written the above blog post to summarise my current thoughts on this 
issue.  As the policy package has been broken in Unstable for a while I'll 
wait a day or two before uploading a fix.  I've already got a fixed package 
prepared and it just needs some testing before upload.

-- 
My Main Blog         http://etbe.coker.com.au/
My Documents Blog    http://doc.coker.com.au/




Reply sent to Russell Coker <russell@coker.com.au>:
You have taken responsibility. (Sun, 24 Jul 2011 06:06:04 GMT) Full text and rfc822 format available.

Notification sent to Martin Orr <martin@martinorr.name>:
Bug acknowledged by developer. (Sun, 24 Jul 2011 06:06:04 GMT) Full text and rfc822 format available.

Message #121 received at 626720-close@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 626720-close@bugs.debian.org
Subject: Bug#626720: fixed in refpolicy 2:0.2.20100524-10
Date: Sun, 24 Jul 2011 06:02:56 +0000
Source: refpolicy
Source-Version: 2:0.2.20100524-10

We believe that the bug you reported is fixed in the latest version of
refpolicy, which is due to be installed in the Debian FTP archive:

refpolicy_0.2.20100524-10.diff.gz
  to main/r/refpolicy/refpolicy_0.2.20100524-10.diff.gz
refpolicy_0.2.20100524-10.dsc
  to main/r/refpolicy/refpolicy_0.2.20100524-10.dsc
selinux-policy-default_0.2.20100524-10_all.deb
  to main/r/refpolicy/selinux-policy-default_0.2.20100524-10_all.deb
selinux-policy-dev_0.2.20100524-10_all.deb
  to main/r/refpolicy/selinux-policy-dev_0.2.20100524-10_all.deb
selinux-policy-doc_0.2.20100524-10_all.deb
  to main/r/refpolicy/selinux-policy-doc_0.2.20100524-10_all.deb
selinux-policy-mls_0.2.20100524-10_all.deb
  to main/r/refpolicy/selinux-policy-mls_0.2.20100524-10_all.deb
selinux-policy-src_0.2.20100524-10_all.deb
  to main/r/refpolicy/selinux-policy-src_0.2.20100524-10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626720@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russell Coker <russell@coker.com.au> (supplier of updated refpolicy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Jul 2011 15:50:23 +1000
Source: refpolicy
Binary: selinux-policy-default selinux-policy-mls selinux-policy-src selinux-policy-dev selinux-policy-doc
Architecture: source all
Version: 2:0.2.20100524-10
Distribution: unstable
Urgency: low
Maintainer: Russell Coker <russell@coker.com.au>
Changed-By: Russell Coker <russell@coker.com.au>
Description: 
 selinux-policy-default - Strict and Targeted variants of the SELinux policy
 selinux-policy-dev - Headers from the SELinux reference policy for building modules
 selinux-policy-doc - Documentation for the SELinux reference policy
 selinux-policy-mls - MLS (Multi Level Security) variant of the SELinux policy
 selinux-policy-src - Source of the SELinux reference policy for customization
Closes: 626720 628039 629066
Changes: 
 refpolicy (2:0.2.20100524-10) unstable; urgency=low
 .
   * Label gpgsm as gpg_exec_t
   * Add policy for /run etc, thanks to Martin Orr <martin@martinorr.name> for
     working on this, even though we can't use subst now.
     Closes: #629066, #628039, #626720
Checksums-Sha1: 
 30fbd3d7fb11287bae6d487aa609456f66d5902f 1518 refpolicy_0.2.20100524-10.dsc
 9db953690c39411382012a3ef83f54e68cfa8b86 125918 refpolicy_0.2.20100524-10.diff.gz
 4919ec03d5f2002ddfb864e90eb44525f2ab3da4 4218436 selinux-policy-mls_0.2.20100524-10_all.deb
 4f9e17c495936944dbece113845ec2416c3c54ff 4179194 selinux-policy-default_0.2.20100524-10_all.deb
 c543a9b26df596dffbb05151b2f735147852eed5 855424 selinux-policy-src_0.2.20100524-10_all.deb
 ccc7e149c3b5631f43db9372bb3ae7efa5e882b8 822948 selinux-policy-dev_0.2.20100524-10_all.deb
 6b15c2e1fe5392f104b0f787461626a849698c44 576868 selinux-policy-doc_0.2.20100524-10_all.deb
Checksums-Sha256: 
 261c86cc398f64f6f22a14f80f971ab731942f84596d2cb84fc3377a5f2828b0 1518 refpolicy_0.2.20100524-10.dsc
 32f890daac789f0ba29e7a06c868b1665ea2ed589a91ca3d3796857abcfbcef0 125918 refpolicy_0.2.20100524-10.diff.gz
 de8cab0ba4af94f716b477c28eb0be24a82829440945fead3d707d4361b1f23d 4218436 selinux-policy-mls_0.2.20100524-10_all.deb
 f01b29afea1b5167cfc8bf835193fbc078ea20c1b221a362084f0d69defa7a8b 4179194 selinux-policy-default_0.2.20100524-10_all.deb
 477e2c5848a5750e7ba0ec1c4f28a0e3ccedf954c079cc5a294178be9c5af309 855424 selinux-policy-src_0.2.20100524-10_all.deb
 48ab9382d797e762a20ea8cef8ee80ff681b13363b3eae8124a8d12ecd77ec0e 822948 selinux-policy-dev_0.2.20100524-10_all.deb
 ffd99257c8e710fb9b79b1f33b1cbfebde01f3928394fd3c5299bb8b835f86de 576868 selinux-policy-doc_0.2.20100524-10_all.deb
Files: 
 04a28653f4b9022fd89281b2047362cf 1518 admin optional refpolicy_0.2.20100524-10.dsc
 2e1e070afdba9233ead741a6249cc4f8 125918 admin optional refpolicy_0.2.20100524-10.diff.gz
 e17f7e0891549fe627cb27ed06267839 4218436 admin extra selinux-policy-mls_0.2.20100524-10_all.deb
 673a6cd50386323ecd6e09e90955ad16 4179194 admin optional selinux-policy-default_0.2.20100524-10_all.deb
 8747e528ce5f362a3b13cd4e072afcb5 855424 admin optional selinux-policy-src_0.2.20100524-10_all.deb
 4413c0f9c8cdab7a240cbc51fc1df9c0 822948 admin optional selinux-policy-dev_0.2.20100524-10_all.deb
 dd143bfe7c5659fa9cff3e6ca1ed95d3 576868 doc optional selinux-policy-doc_0.2.20100524-10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4rs54ACgkQwrB5/PXHUlbBBgCgyiLTdWSSDDlckCdESILz5n2S
NToAnjr1x3/dCVXSrRxJo5XGbGGYk5+y
=QNN4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Aug 2011 07:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:22:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.